<!doctype html>
<html>
<head>
    <title>Talking to German police in Stuttgart | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Talking to German police in Stuttgart | Tor Project">
    <meta property="og:description" content="In early January after 24C3, I travelled to Stuttgart to meet with the police there. I spoke to...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/talking-german-police-stuttgart/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Talking to German police in Stuttgart
      </h1>
    <p class="meta">by arma | March 26, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>In early January after 24C3, I travelled to Stuttgart to meet with the police there. I spoke to about 30 or 40 investigators. My goal wasn't to advocate for any particular laws or policies (that's up to them, after all), but rather to help give them background so they can make more informed decisions: explain who uses Tor and how it works, and try to answer any questions that come up. In particular, my goals were to open a discussion about the data retention laws, and also brainstorm how German Tor operators and German law enforcement can get along better.</p>

<p>It turns out that the fellow who did the September 2006 seizures was part of this group, and he was very interested to talk to me and learn more about Tor.</p>

<p>They explained that the data retention laws *they'd* asked for were basically that large ISPs should be required to answer them when they ask who had a given IP address at a given time (data the ISPs already keep for the most part), and as a bonus, it would be nice if they paid somebody to answer the requests on weekends too. The law that they got was way more than that, and they don't need or want most of it.</p>

<p>I tried to get them to be more public about the fact that they don't need most of the law they got, but they explained that there was a process, and their role was to tell the authorities what new powers they need. Now it's up to other folks (like the CCC) to make sure that the final version of the law isn't too bad.</p>

<p>And I can understand why they're reluctant to speak against it. First, there are probably political problems with publically disagreeing with the folks in charge. And second, they really do want the powers they asked for, and they worry that if they speak up then the whole thing might be killed.</p>

<p>Overall, they were nice and reasonable people. We left with three takeaway plans:</p>

<p>1) Tor should expand its exitlist.torproject.org system so there's an interface for asking "was this IP address a Tor exit relay in the past few months?" The goal is to give them an easy way to answer the question "is it not worth breaking down another door?" which will save them time and save Tor operators hassle.<br />
2) They thought it was quite clear that Tor relays weren't included as "server providers" in the upcoming data retention laws. They offered to talk to a state prosecutor in their area to try to get a public statement to that effect. I'm not optimistic (it's hard to ever get the government to publically say anything), but that's a fine start.<br />
3) They will tell other German police groups about me, and maybe I'll visit others at some point.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/community">
          community
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-22"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-22" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 31, 2008</p>
    </div>
    <a href="#comment-22">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-22" class="permalink" rel="bookmark">I&#039;ve only just found this</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've only just found this blog and I should like to say that the feedback from the German police that you received is very encouraging. It gives a jaded misanthropes like myself a little more reason to believe in humanity.</p>
<p>I give you my heartfelt thanks for doing this, it benefits all of us.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-28"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-28" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 10, 2008</p>
    </div>
    <a href="#comment-28">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-28" class="permalink" rel="bookmark">Same Here</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you, and thanks to all the Tor staff and volunteers for what you are doing to deter the internet from the Orwellian path that commerce and various Congresses have set our feet upon.  It's groups like Tor and the EFF that are fighting to help preserve and protect privacy rights for all of us, in every country.  Your German trip is a case in point. </p>
<p>My only wish is that you could do some form of advertising, as I happened across this page by chance.  I am convinced that, as others discover how valuable this service is, its usage (and hopefully, relay volunteers) will grow immediately.</p>
<p>Good luck, and thanks again!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-29"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-29" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 10, 2008</p>
    </div>
    <a href="#comment-29">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-29" class="permalink" rel="bookmark">anonymity compromised by ISP?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can Tor do anything with this trend?</p>
<p><a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/04/03/AR2008040304052.html" rel="nofollow">http://www.washingtonpost.com/wp-dyn/content/article/2008/04/03/AR20080…</a></p>
<p>Encryption? of outgoing packets?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-31"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-31" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">April 11, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-29" class="permalink" rel="bookmark">anonymity compromised by ISP?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-31">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-31" class="permalink" rel="bookmark">Yes, Tor can protect against that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's one of the standard use cases for Tor -- protection from your local<br />
ISP if it wants to watch what you're doing, sell it, combine it with other<br />
databases, decide which websites you can reach and which ones you<br />
can't, etc.</p>
<p>Plenty of people use Tor every day for simple data hygiene. See e.g.<br />
<a href="https://www.torproject.org/torusers#normalusers" rel="nofollow">https://www.torproject.org/torusers#normalusers</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-39"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-39" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Wesley (not verified)</span> said:</p>
      <p class="date-time">April 21, 2008</p>
    </div>
    <a href="#comment-39">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-39" class="permalink" rel="bookmark">Tor network presence history data</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Regarding your number 1 takeaway from this meeting with the German police in Stuttgart, I have now added a first cut at answering this question by showing what I am calling "Tor network presence history" data along with the existing Tor network node data we display on showmyip.com (and ippages.com for subscribers).</p>
<p>Initially I have set this up as with a 7-day default, meaning you can see when and whether an IP address has been part of the Tor network over the previous 7 days, not just as of right now.  Applicable exit policies, contacts, versions, platforms, and bandwidths for each "published date and time" are also shown.  Subscribers (a mere $20 for 20,000 lookups) get access to 31 days and can specify any previous date.</p>
<p>For example, try the following:<br />
<a href="http://www.showmyip.com/?node=peacetime" rel="nofollow">http://www.showmyip.com/?node=peacetime</a></p>
<p>Or if you are a subscriber, try this:<br />
<a href="http://www.ippages.com/?node=blutmagie&amp;date=20080131" rel="nofollow">http://www.ippages.com/?node=blutmagie&amp;date=20080131</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-43"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-43" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://www.itpol.dk">markus (not verified)</a> said:</p>
      <p class="date-time">April 28, 2008</p>
    </div>
    <a href="#comment-43">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-43" class="permalink" rel="bookmark">Data retention laws</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am a member of the IT-Political Association of Denmark (IT-Politisk Forening, <a href="http://www.itpol.dk/presentation-of-it-pol" rel="nofollow">http://www.itpol.dk/presentation-of-it-pol</a>), and the organisation and its members have been working a lot with the data retention laws, as they were effective in Denmark from 15. september 2007. I have two key points to add to this blog post, focusing on the Danish state of affairs, but maybe useful to people outside Denmark (because of the international laws etc.):</p>
<p>1) In a meeting with the boss of NITEC (Nationale IT-efterforskningscenter, the National IT-Investigationcentre), he said that they is no reason to investigate much further on a given IP-address if that IP-address is belonging to a known Tor exit-node.</p>
<p>2) Concerning plan #2 in the blog post: we have an official statement from the government of Denmark (IT- og Telestyrelsen, <a href="http://www.itst.dk/" rel="nofollow">http://www.itst.dk/</a>) that Tor servers and relays are not server providers, and therefore do not have to log anything.</p>
<p>If anybody has any questions regarding any of this, feel free to contact IT-Political Association of Denmark by email at the address bestyrelsen[--AT--]it-pol.dk , perhaps mentioning this blog post and comment.</p>
<p>Regards,<br />
Markus</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-45"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-45" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 30, 2008</p>
    </div>
    <a href="#comment-45">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-45" class="permalink" rel="bookmark">sounds good so far</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i wasnt expecting the german police officials you talked with to give the answers that they gave. a little cynical yes but with reason. from what they did tell you, everything sounds promising though</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-226"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-226" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2008</p>
    </div>
    <a href="#comment-226">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-226" class="permalink" rel="bookmark">to post where, please...?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello all,<br />
despite the best school-education one can get in Germany, I do not only feel stupid, but mainly helpless, when reading this. ANY OF THIS...!</p>
<p>Where, please, is the right place to ask about TOR and what it can do? Simple question that is, nothing specific at all!</p>
<p>Reading alone - I tried - won´t help me, I need guidance from some nice male who doesn´t are I'm a blond...!</p>
<p>I am permanentally kicked from a "macho-blog". My simple question is 2-fold:<br />
1.) Can TOR help me to re-register there in disguise?<br />
2.) Is there any helpful soul out there, ready to guide me through the early steps, helping me to re-register at this forum?</p>
<p>Most likely I put this one in the wrong "place". Please excuse me, I couldn´t find any other, any better place.</p>
<p>Giving you my REAL address, I might lead the whole TOR-idea "ad absurdum". Still, for better communication and to avoid boring all you specalists, I´d prefer you contact me under: gandharainfoATaol.com</p>
<p>thank you, guys<br />
Blond-and-not-so-anonymous</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-227"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-227" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Anonymous(and blond too)">Anonymous(and … (not verified)</span> said:</p>
      <p class="date-time">September 01, 2008</p>
    </div>
    <a href="#comment-227">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-227" class="permalink" rel="bookmark">re: where to post</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>well ...<br />
you get the vidalia bundle.. for what ever operating system you use,<br />
get it running.<br />
firs turn on privoxy, then vidalia, for my noobish understanding, the privoxy default configuration is ok so far in terms of leading about all your browser traffic through tor. make it do this by pressing the torbutton, which is part of the installation.<br />
it causes you firefox to lead traffic through privoxy.<br />
!!!!!!! DISABLE COOKIES; JAVA; JAVA-SCRIPT; HISTORY!!!!!!!!!!<br />
type "about:config"<br />
-&gt;gets the configuration of firefox onthe screen.<br />
there is a search bar (i mean the very first line)<br />
type in "refer"<br />
you will now see about 8 entries or so.<br />
toggle ( by right clicking the line ) ALL the "send http.referheader" like entries to FALSE!!<br />
now type "useragent" to the search bar<br />
these are just strings that show up, so you might want to change<br />
them to some stupid fake entries (which would be unique by the way, that compromises anounymity) or leave them as they are.<br />
one of these shows your time zone, i suggest to change it.<br />
thats about it.<br />
but notice that now only firefox goes through tor, other applications<br />
must be configured to use privoxy-&gt;tor first, which can be tricky.<br />
i just started my self..<br />
well...<br />
when you are done go to some torchecking sites ( <a href="http://www.torcheck.xenobite.eu" rel="nofollow">www.torcheck.xenobite.eu</a> or check.torproject.org )</p>
<p>some forums block tor users, but if not the disguise should work.<br />
tor is for freedom!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-237"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-237" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2008</p>
    </div>
    <a href="#comment-237">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-237" class="permalink" rel="bookmark">TOR-3</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello back,<br />
thank you VERY MUCH for your detailed explanation. I am a bit ashamed to say so towards somebody who was so kind to go through this effort to help, but..., excuse me, I didn´t understand much. Of course, if you sat beside me and I were to see what you were doing, I would be able to repeat it the next time. I am not thaaat stupid, I meant to say.But for somebody who must read up each time what a COOKIE is, it´s hard to digest, what you wrote. Must sound totally silly, I guess, what I am saying. Instead I am able to make glass-jewelry with the help of my hands, a burner, oxygene, raw-glass and the help of gravity. Not sure any PC-freak is able to to so. Don´t get me wrong, please - you know how it´s meant (and was just said in general, not to you).</p>
<p>Still, before asking further questions (can I...?), let me CAAAREFULLY read, what you just said. Then I will read again and another time. If there are questions after that - and there will be - would you mind I contact you again?</p>
<p>Is there any way, we could (then) communicate with personal mails, or do you fear a lack of safety, the FBI (or DEA or that matter...haaa) or that I take all of your hand, now that you gave me your little finger...? Yes, I would give you my normal AOL-address in such case, if that were not too "blond" for you.</p>
<p>Only question now is: do you recommend I use FIREFOX for tryin to follow your instructions? I´ve set it up only for TOR (because I read somewhere - possibly here...) that it works best with that browser or better than with Windows XP, at least.</p>
<p>And deleting Java, Java-script and HISTORY, as you pointed out - that is an action independant from using TOR, right? I mean, I should do on top of using TOR. Did you meant that?</p>
<p>thank you very-very much,<br />
for your big effort<br />
"Blondie"</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
